gnutls_x509_privkey_sec_param(3)

NAME
gnutls_x509_privkey_sec_param - API function

SYNOPSIS
#include <gnutls/x509.h>

gnutls_sec_param_t gnutls_x509_privkey_sec_param(gnutls_x509_privkey_t key);

ARGUMENTS

gnutls_x509_privkey_t key
    a key structure

DESCRIPTION
This function will return the security parameter appropriate with this private key.

RETURNS
On success, a valid security parameter is returned otherwise GNUTLS_SEC_PARAM_UNKNOWN is returned.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.